const { app, BrowserWindow } = require('electron')

function createWindow () {
  // Create the browser window.
  const win = new BrowserWindow({
    width: 800,
    height: 600,
    webPreferences: {
      nodeIntegration: true
    }
  })

  // and load the index.html of the app.
  win.loadFile('index.html')

  // Open the DevTools.
  win.webContents.openDevTools()

  const { Menu } = require('electron');
  const menu = Menu.getApplicationMenu();
  for (let item of menu.items)
  {
	if (item.submenu)
	{
	  {
	    for (let subitem of item.submenu.items)
		{
		  switch (subitem.role)
		  {
			case "undo":
			case "redo":
			case "cut":
			case "copy":
			case "paste":
			  subitem.click =
			    () => win.webContents.send(subitem.role);
			  break;
		  }
		}
	  }
	}
  }
  //console.log(item);
}

app.whenReady().then(createWindow)

app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit()
  }
})

app.on('activate', () => {
  // On macOS it's common to re-create a window in the app when the
  // dock icon is clicked and there are no other windows open.
  if (BrowserWindow.getAllWindows().length === 0) {
    createWindow()
  }
})
